Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth
Wallet - Net Worth
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/net-worth \
  --header 'Authorization: Bearer <token>'
{
  "currentTimestamp": "2025-10-30T03:33:40.980Z",
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp"
    }
  ],
  "totalValueInNative": "82.31",
  "totalValueInUsd": "12345.67",
  "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w",
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev

Response

200 - application/json

Successful response

Paginated wallet net-worth page (mirrors TS WalletNetWorthPage).

currentTimestamp
string
required
Example:

"2025-10-30T03:33:40.980Z"

data
object[]
required
totalValueInNative
string
required
Example:

"82.31"

totalValueInUsd
string
required
Example:

"12345.67"

walletAddress
string
required
Example:

"3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w"

endCursor
string | null
Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean
Example:

false

hasPrev
boolean
Example:

false

startCursor
string | null
Example:

"eyJpZCI6InN0YXJ0In0="